{"openapi":"3.0.0","info":{"description":"A&M CF API","version":"1.0.0","title":"A&M CF API","contact":{"email":"pivovarov@qarea.us"},"license":{"name":"Apache 2.0","url":"http://www.apache.org/licenses/LICENSE-2.0.html"}},"paths":{"/signin":{"post":{"summary":"Sign in user","tags":["Authentication"],"responses":{"200":{"description":"User successfully authenticated"},"400":{"description":""},"404":{"description":""}}}},"/scopes":{"get":{"summary":"List available permission scopes","tags":["Permissions"]}},"/roles":{"get":{"summary":"List roles","tags":["Permissions"]},"post":{"summary":"Create new role","tags":["Permissions"]}},"/role/{roleId}":{"get":{"summary":"Get role details","tags":["Permissions"]},"put":{"summary":"Update role by ID","tags":["Permissions"]},"delete":{"summary":"Delete role by ID","tags":["Permissions"]}},"/users":{"post":{"summary":"Create a new user","tags":["Users"],"responses":{"201":{"description":"User created"},"400":{"description":""},"404":{"description":""}}}},"/user/{user_id}":{"get":{"summary":"Get user by Id","tags":["Users"],"parameters":[{"name":"user_id","in":"path","description":"Id of the user","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"User's detail"},"400":{"description":""},"404":{"description":""}}},"put":{"summary":"Update user by Id","tags":["Users"],"parameters":[{"name":"user_id","in":"path","description":"Id of the user","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"User updated"},"400":{"description":""},"404":{"description":""}}},"delete":{"summary":"Delete user by Id","tags":["Users"],"parameters":[{"name":"user_id","in":"path","description":"Id of the user","required":true,"type":"integer","format":"int64"}],"responses":{"201":{"description":"User deleted"},"400":{"description":""},"404":{"description":""}}}},"/clients":{"post":{"summary":"Create a new client","tags":["Clients"],"responses":{"201":{"description":"Successfully created"},"400":{"description":""},"404":{"description":""}}},"get":{"summary":"Get all clients","tags":["Clients"],"responses":{"200":{"description":"All clients"},"400":{"description":""},"404":{"description":""}}}},"/client/{client_id}":{"put":{"summary":"Update client by ID","tags":["Clients"],"parameters":[{"name":"client_id","in":"path","description":"Id of the client","required":true,"type":"integer","format":"int64"}]},"delete":{"summary":"Delete client by ID","tags":["Clients"],"parameters":[{"name":"client_id","in":"path","description":"Id of the client","required":true,"type":"integer","format":"int64"}]}},"/files/{client_id}":{"get":{"summary":"List of files","tags":["Files"]}},"/files":{"post":{"summary":"Add new file","tags":["Files"]}},"/accounts":{"post":{"summary":"Add new account","tags":["Clients"]}},"/account/{client_id}":{"get":{"summary":"List of client accounts","tags":["Clients"]},"put":{"summary":"update client account","tags":["Clients"]},"delete":{"summary":"Delete client account","tags":["Clients"]}},"/currencies":{"get":{"summary":"List of currencies","tags":["Currencies"]},"post":{"summary":"Add currency","tags":["Currencies"]}},"/currency/{currency_id}":{"put":{"summary":"Update currency","tags":["Currencies"]},"delete":{"summary":"Delete currency","tags":["Currencies"]}},"/categories":{"get":{"summary":"List of categories","tags":["Clients"]},"post":{"summary":"Add categories","tags":["Clients"]}},"/category/{category_id}":{"put":{"summary":"Update category","tags":["Clients"]},"delete":{"summary":"Delete category","tags":["Clients"]}},"/forecasts":{"get":{"summary":"List of forecasts","tags":["Forecasts"]},"post":{"summary":"Add forecacst","tags":["Forecasts"]}},"/forecast/{category_id}":{"get":{"summary":"Get forecasts details","tags":["Forecasts"]}},"/actuals":{"post":{"summary":"Add row data","tags":["Raw Data"]}},"/actuals/{client_id}":{"get":{"summary":"Get actuals for given client","tags":["Raw Data"]}},"/checks":{"post":{"summary":"Add check","tags":["Raw Data"]}},"/checks/{client_id}":{"get":{"summary":"Get checks for given client","tags":["Raw Data"]},"put":{"summary":"Update check status","tags":["Raw Data"]}},"/ardata":{"post":{"summary":"Add AR aging","tags":["AR aging roll forward"]}},"/ardata/{client_id}":{"get":{"summary":"AR aging for given client","tags":["AR aging roll forward"]}},"/ardata/adjustments":{"post":{"summary":"Add adjustment","tags":["AR aging roll forward"]}},"/ardata/adjustments/{client_id}":{"get":{"summary":"Get adjustments for given client","tags":["AR aging roll forward"]},"put":{"summary":"Update adjustments for given client","tags":["AR aging roll forward"]}}},"servers":[{"description":"SwaggerHub API Auto Mocking","url":"https://virtserver.swaggerhub.com/MykolaPyvovarov/AandM/1.0.0"}]}